## series 2.2.5-3

=== Makefile ===
install:
	install --owner=root --group=root --mode=644 series.system $(DESTDIR)/usr/share/common-lisp/systems/
	cp -r s-code.lisp s-test.lisp s-package.lisp \
		RELEASE-NOTES CVS/ s-install.lisp \
		ChangeLog \
		$(DESTDIR)/usr/share/common-lisp/repositories/sourceforge/series/series

=== debian/changelog ===
series (1:2.2.5-3) unstable; urgency=low

  * Changed defconstant of a non-constant into defparameter.
    Closes: #136021

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 12 Mar 2002 09:31:19 +0100

series (1:2.2.5-2) unstable; urgency=low

  * Rebuild for dpkg-dev bugs.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  3 Jul 2001 08:10:39 +0200

series (1:2.2.5-1) unstable; urgency=low

  * New upstream release.
  * Now with dh_link 

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed, 27 Jun 2001 15:36:47 +0200

series (20010227-1) unstable; urgency=low

  * Now uses the common-lisp-controller framework.

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue, 27 Feb 2001 20:07:55 +0100

series (20000909-1) unstable; urgency=low

  * new release of cmucl
  * New version of series (copyied from sourceforge) 

 -- Peter Van Eynde <pvaneynd@debian.org>  Sat,  9 Sep 2000 08:59:45 +0200

series (19990702-2) unstable; urgency=low

  * Went to FSH. 

 -- Peter Van Eynde <pvaneynd@debian.org>  Fri,  8 Oct 1999 07:45:23 +0200

series (19990702-1) unstable; urgency=low

  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  8 Sep 1999 20:21:45 +0200

series (19980610-1) unstable; urgency=low

  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Mon,  5 Apr 1999 14:32:57 +0200

series (19980604-2) unstable; urgency=low

  * New cmucl release.
  * Now dh-helper based.

 -- Peter Van Eynde <pvaneynd@debian.org>  Wed,  7 Oct 1998 23:21:10 +0200

series (19980604-1) unstable; urgency=low

  * Fixed Bug#23379 : typo in description.
  * New upstream version.

 -- Peter Van Eynde <pvaneynd@debian.org>  Thu, 11 Jun 1998 18:00:23 +0200

series (91-1) unstable; urgency=low

  * Initial Release.

 -- Peter Van Eynde <pvaneynd@debian.org>  Sun, 19 Apr 1998 22:23:20 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: series
Section: devel
Priority: optional
Build-Depends: debhelper (>= 3.0.6)
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.2.0.0

Package: series
Architecture: all
Depends: common-lisp-controller
Description: The series package is a general iteration library for Lisps.
 It can do anything loop can, but in a more functional way.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/series.sgml > series.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/series.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/series


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## series 19980604-2

=== Makefile ===
all:
	echo -ne '(load "s-code.lisp")\n(compile-file "s-code.lisp")\n(quit)\n' | lisp  -batch

install:
	install -g root -o root -m 0644 s-code.x86f  \
	$(DESTDIR)/usr/lib/cmucl/subsystems/series-library.x86f
	install -g root -o root -m 0644 copyright \
	$(DESTDIR)/usr/doc/series/
 
clean:
	rm *.x86f ; true

=== debian/control ===
Source: series
Section: devel
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 2.4.0.0

Package: series
Architecture: i386
Depends: cmucl
Description: The series package is a general iteration library for cmucl.
 It can do anything loop can, but in a more functional way.
 .
 Configure it in with cmuclconfig.

## series 19990702-3

=== Makefile ===
all:
	echo -ne '(load "s-package.lisp")\n(compile-file "s-package")\n(load "s-package")\n(load "s-code.lisp")\n(compile-file "s-code.lisp")\n(quit)\n' | lisp  -core /usr/lib/cmucl/lisp-normal.core -batch
	cat s-package.x86f s-code.x86f > series-library.x86f

install:
	install -g root -o root -m 0644 series-library.x86f  \
	$(DESTDIR)/usr/lib/cmucl/subsystems/series-library.x86f
	install -g root -o root -m 0644 copyright \
	$(DESTDIR)/usr/share/doc/series/
 
clean:
	rm *.x86f ; true

=== debian/changelog ===
series (19990702-3) frozen unstable; urgency=high

  * Recompiled for 2.4.19. Now works :-(
  * Package is now created as it should...

 -- Peter Van Eynde <pvaneynd@debian.org>  Tue,  8 Feb 2000 09:45:07 +0100

=== debian/control ===
Source: series
Section: devel
Priority: optional
Maintainer: Peter Van Eynde <pvaneynd@debian.org>
Standards-Version: 3.0.0.0

Package: series
Architecture: i386
Depends: cmucl (>= 2.4.19)
Description: The series package is a general iteration library for cmucl.
 It can do anything loop can, but in a more functional way.
 .
 Configure it in with cmuclconfig.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	make CFLAGS="-O2 -g -Wall"

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
